org.eclipse.emf.cdo.session.remote

## Interface CDORemoteSessionEvent

- All Superinterfaces:
    IEvent
  All Known Subinterfaces:
    CDORemoteSessionEvent.MessageReceived, CDORemoteSessionEvent.SubscriptionChanged

      public interface CDORemoteSessionEvent
      extends IEvent

  A generic `event` fired from a `remote session manager` to indicate `remote session` activities.
  Since:
    2.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `CDORemoteSessionEvent.MessageReceived` A `remote session event` fired from a `remote session manager` when a `message` from a `remote session` has been received.
    `static interface` | `CDORemoteSessionEvent.SubscriptionChanged` A `remote session event` fired from a `remote session manager` when the `subscription state` of a `remote session` has changed.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDORemoteSession` | `getRemoteSession()`
    `CDORemoteSessionManager` | `getSource()`

- - ### Method Detail

    - #### getSource

          CDORemoteSessionManager getSource()

      Specified by:
        `getSource` in interface `IEvent`
      Since:
        3.0

    - #### getRemoteSession

          CDORemoteSession getRemoteSession()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html